<?php
/*
Plugin Name: More Twitter followers
Plugin URI: http://www.larsbachmann.dk/wordpress-plugin-more-twitter-followers.html
Version: 0.2
Description: This Plugin will add your latest tweet, twitter avatar and a Follow me button below your posts.
Author: Lars Bachmann
Author URI: http://www.larsbachmann.dk
License: GPL2
*/

add_action('admin_menu', 'mt_plugin_menu');

function mt_plugin_menu() {
	add_options_page('More Twitter Followers admin', 'More Twitter', 'manage_options', 'moretwitter_admin', 'moretwitter_options');
}

function moretwitter_options() {
	
	echo '<div class="wrap">';
	echo '<h2>Add your Twitter username</h2>';
	echo '<p>You can edit the CSS right here: <a href="' . get_bloginfo('wpurl') . '/wp-admin/plugin-editor.php?file=MoreTwitterFollowers%2Fmoretwitter.css&plugin=MoreTwitterFollowers%2Fmore_twitter_followers.php">Moretwitter.css</a></p>';
	echo '</div>';

 // variables for the field and option names 
    $opt_name = 'mt_twittername';
    $mt_hidden = 'mt_submit_hidden';
    $data_field_name = 'mt_twittername';

    // Read in existing option value from database
    $opt_val = get_option( $opt_name );

    // If they did, this hidden field will be set to 'Y'
    if( isset($_POST[ $mt_hidden ]) && $_POST[ $mt_hidden ] == 'Y' ) {
        // Read their posted value
        $opt_val = $_POST[ $data_field_name ];

        // Save the posted value in the database
        update_option( $opt_name, $opt_val );

        // Put an settings updated message on the screen

?>
<div class="updated"><p><strong><?php _e('Hey.. that worked :)', 'menu-test' ); ?></strong></p></div>
<?php

    }

    // Now display the settings editing screen

    echo '<div class="wrap">';
    
    ?>

<form name="form1" method="post" action="">
<input type="hidden" name="<?php echo $mt_hidden; ?>" value="Y">

<p><?php _e("http://twitter.com/", 'menu-test' ); ?> 
<input type="text" name="<?php echo $data_field_name; ?>" value="<?php echo $opt_val; ?>" size="20">
</p>

<p class="submit">
<input type="submit" name="Submit" class="button-primary" value="<?php esc_attr_e('Save Changes') ?>" />
</p>

</form>
</div>

<?php

}

//add css


add_action( 'wp_head', 'moretwitter_css' );

	function moretwitter_css()
    {
        echo '<link rel="stylesheet" type="text/css" media="screen" href="' . get_bloginfo('wpurl') . '/wp-content/plugins/MoreTwitterFollowers/moretwitter.css" />'."\n";
    }
	

function more_twitter()
{
	$opt_name = 'mt_twittername';
	$opt_val = get_option( $opt_name );

If (empty($opt_val)) { 
		  $opt_val = 'larsbachmann';
} else {
   
} 
function getTwitterStatus($userid){
$url = "http://twitter.com/statuses/user_timeline/$userid.xml?count=1";

$xml = simplexml_load_file($url) or die("could not connect");

       foreach($xml->status as $status){
       $text = $status->text;
       }
       echo $text;
 }

// now lets build the HTML
?>
<div id="more_twitter">

<div class="mt_avatar">
<?
$username = $opt_val;  
$xml = simplexml_load_file("http://twitter.com/users/".$username.".xml");
echo '<a href="http://twitter.com/'. $opt_val .'" target="_blank"><img src="';
echo $xml->profile_image_url; 
echo '" width="60" /></a>';
?>
</div>
<div class="mt_tweet">
<strong>latest Tweet:</strong> <?php getTwitterStatus("".$opt_val.""); ?>
</div>
<div class="mt_follow">
<a href="https://twitter.com/<?php echo $opt_val; ?>" class="twitter-follow-button" data-show-count="false" data-lang="en">Follow @<?php echo $opt_val; ?></a>
<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src="//platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script>
</div>
</div>

<?php
}


function display_more_twitter()
{
if (is_single())
return more_twitter();

}
add_filter('comments_template', 'display_more_twitter');




// that's all :)
?>